interface PinIconProps {
    color?: string;
}

export const PinIcon = (props: PinIconProps) => {

    const {
        color = "#10B981"
    } = props;

    return (
        <svg width="12" height="14" viewBox="0 0 12 14" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M10.1762 2.07461C8.70435 0.602734 6.30747 0.602734 4.83716 2.07461L0.759035 6.14961C0.732472 6.17617 0.71841 6.21211 0.71841 6.24961C0.71841 6.28711 0.732472 6.32305 0.759035 6.34961L1.3356 6.92617C1.36195 6.95241 1.39763 6.96714 1.43482 6.96714C1.47201 6.96714 1.50768 6.95241 1.53403 6.92617L5.61216 2.85117C6.11841 2.34492 6.79185 2.0668 7.50747 2.0668C8.2231 2.0668 8.89654 2.34492 9.40122 2.85117C9.90747 3.35742 10.1856 4.03086 10.1856 4.74492C10.1856 5.46055 9.90747 6.13242 9.40122 6.63867L5.24497 10.7934L4.57154 11.4668C3.94185 12.0965 2.91841 12.0965 2.28872 11.4668C1.98403 11.1621 1.81685 10.7574 1.81685 10.3262C1.81685 9.89492 1.98403 9.49024 2.28872 9.18555L6.41216 5.06367C6.51685 4.96055 6.65435 4.90273 6.80122 4.90273H6.80279C6.94966 4.90273 7.0856 4.96055 7.18872 5.06367C7.29341 5.16836 7.34966 5.30586 7.34966 5.45273C7.34966 5.59805 7.29185 5.73555 7.18872 5.83867L3.81841 9.20586C3.79185 9.23242 3.77779 9.26836 3.77779 9.30586C3.77779 9.34336 3.79185 9.3793 3.81841 9.40586L4.39497 9.98242C4.42133 10.0087 4.457 10.0234 4.49419 10.0234C4.53138 10.0234 4.56706 10.0087 4.59341 9.98242L7.96216 6.61367C8.2731 6.30273 8.44341 5.89023 8.44341 5.45117C8.44341 5.01211 8.27153 4.59805 7.96216 4.28867C7.31997 3.64648 6.27622 3.64805 5.63404 4.28867L5.23404 4.69023L1.51216 8.41055C1.25955 8.66167 1.05931 8.96045 0.923059 9.28956C0.786804 9.61866 0.717243 9.97154 0.71841 10.3277C0.71841 11.0512 1.00122 11.7309 1.51216 12.2418C2.04185 12.7699 2.7356 13.034 3.42935 13.034C4.1231 13.034 4.81685 12.7699 5.34497 12.2418L10.1762 7.41367C10.8872 6.70117 11.2809 5.75273 11.2809 4.74492C11.2825 3.73555 10.8887 2.78711 10.1762 2.07461Z" fill="black" fill-opacity="0.45"/>
        </svg>
    )
}